## NAME

MIME++ -- C++ class library for creating, parsing, or modifying messages in MIME format

## SYNOPSIS

    #include <mimepp/mimepp.h>

## DESCRIPTION

MIME++ is a C++ class library for creating, parsing, or modifying messages in Multipurpose Internet Mail Extensions (MIME) format. For information on the MIME standards, see RFC-822, RFC-1123, RFC-1521, RFC-1522, and RFC-1523.

### Class Inheritance

- DwString
- DwMessageComponent
  - DwBody
  - DwEntity
    - DwBodyPart
    - DwMessage
  - DwField
  - DwFieldBody
    - DwAddress
      - DwGroup
      - DwMailbox
    - DwAddressList
    - DwDispositionType
    - DwMediaType
    - DwMechanism
    - DwDateTime
    - DwMailboxList
    - DwMsgId
    - DwText
  - DwHeader
  - DwParameter
- DwProtocolClient
  - DwSmtpClient
  - DwNntpClient
  - DwPopClient
- DwBinhex
- DwUuencode
- DwBoyerMoore

  ### Utility Functions